Bug 1195779 - [abrt] youtube-dl: common.py:235:report_progress:KeyError: u'total_bytes'
Summary: [abrt] youtube-dl: common.py:235:report_progress:KeyError: u'total_bytes'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: youtube-dl
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7bce2f2ea01ab3f52beb857b204...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 14:41 UTC by Joseph O Morrow
Modified: 2015-03-25 19:59 UTC (History)
3 users (show)

Fixed In Version: youtube-dl-2015.03.03.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:17:43 UTC


Attachments (Terms of Use)
File: backtrace (1.95 KB, text/plain)
2015-02-24 14:41 UTC, Joseph O Morrow
no flags Details
File: environ (4.61 KB, text/plain)
2015-02-24 14:41 UTC, Joseph O Morrow
no flags Details

Description Joseph O Morrow 2015-02-24 14:41:30 UTC
Version-Release number of selected component:
youtube-dl-2015.02.18.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python2 /usr/bin/youtube-dl -t --restrict-filenames --no-part --quiet https://www.youtube.com/watch?v=lExW80sXsHs
executable:     /usr/bin/youtube-dl
kernel:         3.18.7-100.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
common.py:235:report_progress:KeyError: u'total_bytes'

Traceback (most recent call last):
  File "/usr/bin/youtube-dl", line 6, in <module>
    youtube_dl.main()
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 390, in main
    _real_main(argv)
  File "/usr/lib/python2.7/site-packages/youtube_dl/__init__.py", line 380, in _real_main
    retcode = ydl.download(all_urls)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1376, in download
    res = self.extract_info(url)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 654, in extract_info
    return self.process_ie_result(ie_result, download, extra_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 700, in process_ie_result
    return self.process_video_result(ie_result, download=download)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1134, in process_video_result
    self.process_info(new_info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1309, in process_info
    success = dl(filename, info_dict)
  File "/usr/lib/python2.7/site-packages/youtube_dl/YoutubeDL.py", line 1284, in dl
    return fd.download(name, info)
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/common.py", line 339, in download
    return self.real_download(filename, info_dict)
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/http.py", line 94, in real_download
    'status': 'finished',
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/common.py", line 347, in _hook_progress
    ph(status)
  File "/usr/lib/python2.7/site-packages/youtube_dl/downloader/common.py", line 235, in report_progress
    s['_total_bytes_str'] = format_bytes(s['total_bytes'])
KeyError: u'total_bytes'

Local variables in innermost frame:
s: {u'status': u'finished', u'filename': u'Evolution_of_Music_-_Pentatonix-lExW80sXsHs.mp4'}
self: <youtube_dl.downloader.http.HttpFD object at 0x99db68c>

Comment 1 Joseph O Morrow 2015-02-24 14:41:32 UTC
Created attachment 994734 [details]
File: backtrace

Comment 2 Joseph O Morrow 2015-02-24 14:41:33 UTC
Created attachment 994735 [details]
File: environ

Comment 3 Fedora Update System 2015-03-05 15:58:06 UTC
youtube-dl-2015.03.03.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/youtube-dl-2015.03.03.1-1.fc20

Comment 4 Fedora Update System 2015-03-05 15:59:35 UTC
youtube-dl-2015.03.03.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/youtube-dl-2015.03.03.1-1.fc21

Comment 5 Fedora Update System 2015-03-05 16:00:19 UTC
youtube-dl-2015.03.03.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/youtube-dl-2015.03.03.1-1.fc22

Comment 6 Fedora Update System 2015-03-05 16:02:02 UTC
youtube-dl-2015.03.03.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/youtube-dl-2015.03.03.1-1.el7

Comment 7 Fedora Update System 2015-03-05 17:11:18 UTC
Package youtube-dl-2015.03.03.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing youtube-dl-2015.03.03.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3273/youtube-dl-2015.03.03.1-1.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-03-09 08:17:43 UTC
youtube-dl-2015.03.03.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-03-09 08:21:36 UTC
youtube-dl-2015.03.03.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-03-09 08:32:04 UTC
youtube-dl-2015.03.03.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-03-25 19:59:46 UTC
youtube-dl-2015.03.03.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.